Index: /trunk/libIGCM/AA_SE_Checker
===================================================================
--- /trunk/libIGCM/AA_SE_Checker	(revision 1111)
+++ /trunk/libIGCM/AA_SE_Checker	(revision 1112)
@@ -198,5 +198,5 @@
     IGCM_debug_Print 2 -e "\033[1;31mSubmit create_se \033[m for period ${an_deb}-${an_fin}"
 
-    listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,RebuildFrequency,RESOL_ATM,RESOL_SRF,RESOL_SBG,RESOL_OCE,RESOL_ICE,RESOL_MBG"
+    listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,Script_Post_Output,DateBegin,PeriodDateEnd,RebuildFrequency,RESOL_ATM,RESOL_SRF,RESOL_SBG,RESOL_OCE,RESOL_ICE,RESOL_MBG"
     export libIGCM=${libIGCM}
     export SUBMIT_DIR=${CARD_DIR}
@@ -212,7 +212,8 @@
     export RESOL_MBG=${RESOL_MBG}
     export listVarEnv=${listVarEnv}
+    export Script_Post_Output=create_se.${PeriodDateEnd}
+
     IGCM_sys_MkdirWork ${POST_DIR}
     IGCM_debug_Verif_Exit_Post
-    Script_Post_Output=create_se.${PeriodDateEnd}
     IGCM_sys_QsubPost create_se
 
Index: /trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- /trunk/libIGCM/AA_TimeSeries_Checker	(revision 1111)
+++ /trunk/libIGCM/AA_TimeSeries_Checker	(revision 1112)
@@ -393,5 +393,5 @@
                 if [ ${action} = true ] ; then
                   IGCM_debug_Print 2 -e "\033[1;31mSubmit ${FILE} chunck ${Dimension}\033[m period ${ChunckDebut}-${ChunckFin} and CompletedFlag=${ChunckCompletedFlag}"
-                  listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,CompletedFlag,TsTask,CompToRead,FlagToRead"
+                  listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,Script_Post_Output,DateBegin,PeriodDateEnd,CompletedFlag,TsTask,CompToRead,FlagToRead"
                   export libIGCM=${libIGCM}
                   export SUBMIT_DIR=${CARD_DIR}
@@ -405,7 +405,7 @@
                   export NameToRead=${flag_post}
                   export listVarEnv=${listVarEnv}
+                  export Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}.${CompToRead}.${NameToRead}
                   IGCM_sys_MkdirWork ${POST_DIR}
                   IGCM_debug_Verif_Exit_Post
-                  Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}.${CompToRead}.${NameToRead}
                   IGCM_sys_QsubPost create_ts
                   echo
@@ -461,5 +461,5 @@
     #IGCM_debug_Print 2 "Potentials CompletedFlag: ${PotentialCompletedFlag2D[*]}"
     IGCM_debug_Print 2 -e "\033[1;31mSubmit 2D\033[m without chunck period ${DateBegin}-${DateEnd}"
-    listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,CompletedFlag,TsTask"
+    listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,Script_Post_Output,DateBegin,PeriodDateEnd,CompletedFlag,TsTask"
     export libIGCM=${libIGCM}
     export SUBMIT_DIR=${CARD_DIR}
@@ -470,7 +470,7 @@
     export TsTask=2D
     export listVarEnv=${listVarEnv}
+    export Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
     IGCM_sys_MkdirWork ${POST_DIR}
     IGCM_debug_Verif_Exit_Post
-    Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
     IGCM_sys_QsubPost create_ts
     echo
@@ -484,5 +484,5 @@
     #IGCM_debug_Print 2 "Potentials CompletedFlag: ${PotentialCompletedFlag3D[*]}"
     IGCM_debug_Print 2 -e "\033[1;31mSubmit 3D\033[m without chunck period ${DateBegin}-${DateEnd}"
-    listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,CompletedFlag,TsTask"
+    listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,Script_Post_Output,DateBegin,PeriodDateEnd,CompletedFlag,TsTask"
     export libIGCM=${libIGCM}
     export SUBMIT_DIR=${CARD_DIR}
@@ -493,7 +493,7 @@
     export TsTask=3D
     export listVarEnv=${listVarEnv}
+    export Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
     IGCM_sys_MkdirWork ${POST_DIR}
     IGCM_debug_Verif_Exit_Post
-    Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
     IGCM_sys_QsubPost create_ts
     echo
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1111)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $R_SAVE ; $config_UserChoices_JobName ; $config_UserChoices_TagName ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1111)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $R_SAVE ; $config_UserChoices_JobName ; $config_UserChoices_TagName ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1111)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $R_SAVE ; $config_UserChoices_JobName ; $config_UserChoices_TagName ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1111)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $R_SAVE ; $config_UserChoices_JobName ; $config_UserChoices_TagName ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1111)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $MASTER ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $POST_DIR ; $Script_Post_Output ; $MASTER ; $DateBegin ; $PeriodDateEnd ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
@@ -379,8 +379,8 @@
 YEARS=${an_multi_deb}_${an_multi_fin}
 
-export POST_DIR; export SUBMIT_DIR; export libIGCM; export R_INIT; export R_BC; export StandAlone
-export RESOL_ATM; export RESOL_OCE ; export RESOL_ICE ; export RESOL_MBG ; export RESOL_SRF ; export RESOL_SBG
-export R_SAVE; export config_UserChoices_JobName; export config_UserChoices_TagName; export YEARS; export DIR_OUT
-listVarEnv="POST_DIR,SUBMIT_DIR,libIGCM,R_INIT,R_BC,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG,R_SAVE,config_UserChoices_JobName,config_UserChoices_TagName,YEARS,DIR_OUT"
+export DEBUG_debug; export BigBrother ; export libIGCM; export SUBMIT_DIR; export POST_DIR; export Script_Output ;
+export StandAlone ; export RESOL_ATM; export RESOL_OCE ; export RESOL_ICE ; export RESOL_MBG ; export RESOL_SRF ;
+export RESOL_SBG ; export YEARS; export DIR_OUT
+listVarEnv="DEBUG_debug,BigBrother,libIGCM,SUBMIT_DIR,POST_DIR,Script_Post_Output,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG,YEARS,DIR_OUT"
 export listVarEnv;
 
@@ -395,61 +395,66 @@
    [ ${config_UserChoices_TagName} = "IPSL_ESM_V1" ] ; then
   #
-  Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCHIDEE                   ;
-  Script_Post_Output=atlas_LDMZ.${PeriodDateEnd}     ;
-  IGCM_sys_QsubPost atlas_LMDZ                       ;
-  Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCA_LIM                   ;
-  Script_Post_Output=additionnal.${PeriodDateEnd}    ;
-  IGCM_sys_QsubPost additionnal                      ;
-  #
-elif [ ${config_UserChoices_TagName} = "IPSLCM5" ]  || \
-     [ ${config_UserChoices_TagName} = "IPSLCM5A" ] || \
-     [ ${config_UserChoices_TagName} = "IPSLCM5B" ] || \
-     [ ${config_UserChoices_TagName} = "IPSLCM5A-MR" ] ; then
-  Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCHIDEE                   ;
-  Script_Post_Output=atlas_LDMZ.${PeriodDateEnd}     ;
-  IGCM_sys_QsubPost atlas_LMDZ                       ;
-  Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCA_LIM                   ;
-  Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
-  IGCM_sys_QsubPost atlas_PISCES                     ;
-  #
-elif [ ${config_UserChoices_TagName} = "LMDZ4OR" ]  || \
-     [ ${config_UserChoices_TagName} = "LMDZOR" ]   || \
+  export Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCHIDEE                          ;
+  export Script_Post_Output=atlas_LDMZ.${PeriodDateEnd}     ;
+  IGCM_sys_QsubPost atlas_LMDZ                              ;
+  export Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCA_LIM                          ;
+  export Script_Post_Output=additionnal.${PeriodDateEnd}    ;
+  IGCM_sys_QsubPost additionnal                             ;
+  #
+elif [ ${config_UserChoices_TagName} = "IPSLCM5" ]         || \
+     [ ${config_UserChoices_TagName} = "IPSLCM5A" ]        || \
+     [ ${config_UserChoices_TagName} = "IPSLCM5B" ]        || \
+     [ ${config_UserChoices_TagName} = "IPSLCM5A-MR" ]     || \
+     [ ${config_UserChoices_TagName} = "IPSLCM6" ] ; then
+  export Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCHIDEE                          ;
+  export Script_Post_Output=atlas_LDMZ.${PeriodDateEnd}     ;
+  IGCM_sys_QsubPost atlas_LMDZ                              ;
+  export Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCA_LIM                          ;
+  export Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
+  IGCM_sys_QsubPost atlas_PISCES                            ;
+  #
+elif [ ${config_UserChoices_TagName} = "LMDZ4OR" ]         || \
+     [ ${config_UserChoices_TagName} = "LMDZOR" ]          || \
      [ ${config_UserChoices_TagName} = "LMDZ4OR_v2" ] ; then
   #
-  Script_Post_Output=atlas_LDMZ.${PeriodDateEnd}     ;
-  IGCM_sys_QsubPost atlas_LMDZ                       ;
-  Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCHIDEE                   ;
+  export Script_Post_Output=atlas_LDMZ.${PeriodDateEnd}     ;
+  IGCM_sys_QsubPost atlas_LMDZ                              ;
+  export Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCHIDEE                          ;
   #
 elif [ ${config_UserChoices_TagName} = "LMDZ" ] ; then
   #
-  Script_Post_Output=atlas_LDMZ.${PeriodDateEnd}     ;
-  IGCM_sys_QsubPost atlas_LMDZ                       ;
-  #
-elif [ ${config_UserChoices_TagName} = "OL" ]      || \
+  export Script_Post_Output=atlas_LDMZ.${PeriodDateEnd}     ;
+  IGCM_sys_QsubPost atlas_LMDZ                              ;
+  #
+elif [ ${config_UserChoices_TagName} = "OL" ]              || \
      [ ${config_UserChoices_TagName} = "OL2" ] ; then
   #
-  Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCHIDEE                   ;
-  #
-elif [ ${config_UserChoices_TagName} = "ORCA2_LIM" ]       ||
-     [ ${config_UserChoices_TagName} = "ORCA2_LIM2" ] ; then
-  #
-  Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCA_LIM                   ;
-elif [ ${config_UserChoices_TagName} = "ORCA2_LIM2_PISCES" ]  ; then
-  #
-  Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCA_LIM                   ;
-  Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
-  IGCM_sys_QsubPost atlas_PISCES                     ;
-elif [ ${config_UserChoices_TagName} = "ORCA2_OFF_PISCES" ]  ; then
-  #
-  Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
-  IGCM_sys_QsubPost atlas_PISCES                     ;
+  export Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCHIDEE                          ;
+  #
+elif [ ${config_UserChoices_TagName} = "ORCA2_LIM" ]       || \
+     [ ${config_UserChoices_TagName} = "ORCA2_LIM2" ]      || \
+     [ ${config_UserChoices_TagName} = "ORCA2_LIM3" ] ; then
+  #
+  export Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCA_LIM                          ;
+  #
+elif [ ${config_UserChoices_TagName} = "ORCA2_LIM2_PISCES" ] || \
+     [ ${config_UserChoices_TagName} = "ORCA2_LIM3_PISCES" ] ; then
+  #
+  export Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCA_LIM                          ;
+  export Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
+  IGCM_sys_QsubPost atlas_PISCES                            ;
+  #
+elif [ ${config_UserChoices_TagName} = "ORCA2_OFF_PISCES" ] ; then
+  #
+  export Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
+  IGCM_sys_QsubPost atlas_PISCES                            ;
   #
 fi
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1111)
+++ /trunk/libIGCM/AA_create_se	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $MASTER ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $POST_DIR ; $Script_Post_Output ; $MASTER ; $DateBegin ; $PeriodDateEnd ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
@@ -537,8 +537,8 @@
 DIR_OUT=SE
 
-export POST_DIR; export SUBMIT_DIR; export libIGCM; export R_INIT; export R_BC; export StandAlone
-export RESOL_ATM; export RESOL_OCE ; export RESOL_ICE ; export RESOL_MBG ; export RESOL_SRF ; export RESOL_SBG
-export R_SAVE; export config_UserChoices_JobName; export config_UserChoices_TagName; export YEARS; export DIR_OUT
-listVarEnv="POST_DIR,SUBMIT_DIR,libIGCM,R_INIT,R_BC,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG,R_SAVE,config_UserChoices_JobName,config_UserChoices_TagName,YEARS,DIR_OUT"
+export DEBUG_debug; export BigBrother ; export libIGCM; export SUBMIT_DIR; export POST_DIR; export Script_Output ;
+export StandAlone ; export RESOL_ATM; export RESOL_OCE ; export RESOL_ICE ; export RESOL_MBG ; export RESOL_SRF ;
+export RESOL_SBG ; export YEARS; export DIR_OUT
+listVarEnv="DEBUG_debug,BigBrother,libIGCM,SUBMIT_DIR,POST_DIR,Script_Post_Output,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG,YEARS,DIR_OUT"
 export listVarEnv;
 
@@ -553,64 +553,66 @@
    [ ${config_UserChoices_TagName} = "IPSL_ESM_V1" ] ; then
   #
-  Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCHIDEE                   ;
-  Script_Post_Output=atlas_LMDZ.${PeriodDateEnd}     ;
-  IGCM_sys_QsubPost atlas_LMDZ                       ;
-  Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCA_LIM                   ;
-  Script_Post_Output=additionnal.${PeriodDateEnd}    ;
-  IGCM_sys_QsubPost additionnal                      ;
-  #
-elif [ ${config_UserChoices_TagName} = "IPSLCM5" ]  || \
-     [ ${config_UserChoices_TagName} = "IPSLCM5A" ] || \
-     [ ${config_UserChoices_TagName} = "IPSLCM5B" ] || \
-     [ ${config_UserChoices_TagName} = "IPSLCM5A-MR" ] || \
+  export Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCHIDEE                          ;
+  export Script_Post_Output=atlas_LMDZ.${PeriodDateEnd}     ;
+  IGCM_sys_QsubPost atlas_LMDZ                              ;
+  export Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCA_LIM                          ;
+  export Script_Post_Output=additionnal.${PeriodDateEnd}    ;
+  IGCM_sys_QsubPost additionnal                             ;
+  #
+elif [ ${config_UserChoices_TagName} = "IPSLCM5" ]         || \
+     [ ${config_UserChoices_TagName} = "IPSLCM5A" ]        || \
+     [ ${config_UserChoices_TagName} = "IPSLCM5B" ]        || \
+     [ ${config_UserChoices_TagName} = "IPSLCM5A-MR" ]     || \
      [ ${config_UserChoices_TagName} = "IPSLCM6" ] ; then
-  Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCHIDEE                   ;
-  Script_Post_Output=atlas_LMDZ.${PeriodDateEnd}     ;
-  IGCM_sys_QsubPost atlas_LMDZ                       ;
-  Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCA_LIM                   ;
-  Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
-  IGCM_sys_QsubPost atlas_PISCES                     ;
-  #
-elif [ ${config_UserChoices_TagName} = "LMDZ4OR" ]  || \
-     [ ${config_UserChoices_TagName} = "LMDZOR" ]   || \
+  export Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCHIDEE                          ;
+  export Script_Post_Output=atlas_LMDZ.${PeriodDateEnd}     ;
+  IGCM_sys_QsubPost atlas_LMDZ                              ;
+  export Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCA_LIM                          ;
+  export Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
+  IGCM_sys_QsubPost atlas_PISCES                            ;
+  #
+elif [ ${config_UserChoices_TagName} = "LMDZ4OR" ]         || \
+     [ ${config_UserChoices_TagName} = "LMDZOR" ]          || \
      [ ${config_UserChoices_TagName} = "LMDZ4OR_v2" ] ; then
   #
-  Script_Post_Output=atlas_LMDZ.${PeriodDateEnd}     ;
-  IGCM_sys_QsubPost atlas_LMDZ                       ;
-  Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCHIDEE                   ;
+  export Script_Post_Output=atlas_LMDZ.${PeriodDateEnd}     ;
+  IGCM_sys_QsubPost atlas_LMDZ                              ;
+  export Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCHIDEE                          ;
   #
 elif [ ${config_UserChoices_TagName} = "LMDZ" ] ; then
   #
-  Script_Post_Output=atlas_LMDZ.${PeriodDateEnd}     ;
-  IGCM_sys_QsubPost atlas_LMDZ                       ;
-  #
-elif [ ${config_UserChoices_TagName} = "OL" ]      || \
+  export Script_Post_Output=atlas_LMDZ.${PeriodDateEnd}     ;
+  IGCM_sys_QsubPost atlas_LMDZ                              ;
+  #
+elif [ ${config_UserChoices_TagName} = "OL" ]              || \
      [ ${config_UserChoices_TagName} = "OL2" ] ; then
   #
-  Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCHIDEE                   ;
-  #
-elif [ ${config_UserChoices_TagName} = "ORCA2_LIM" ]  || \
-     [ ${config_UserChoices_TagName} = "ORCA2_LIM2" ] || \
+  export Script_Post_Output=atlas_ORCHIDEE.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCHIDEE                          ;
+  #
+elif [ ${config_UserChoices_TagName} = "ORCA2_LIM" ]       || \
+     [ ${config_UserChoices_TagName} = "ORCA2_LIM2" ]      || \
      [ ${config_UserChoices_TagName} = "ORCA2_LIM3" ] ; then
   #
-  Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCA_LIM                   ;
+  export Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCA_LIM                          ;
+  #
 elif [ ${config_UserChoices_TagName} = "ORCA2_LIM2_PISCES" ] || \
      [ ${config_UserChoices_TagName} = "ORCA2_LIM3_PISCES" ] ; then
   #
-  Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
-  IGCM_sys_QsubPost atlas_ORCA_LIM                   ;
-  Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
-  IGCM_sys_QsubPost atlas_PISCES                     ;
-elif [ ${config_UserChoices_TagName} = "ORCA2_OFF_PISCES" ]  ; then
-  #
-  Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
-  IGCM_sys_QsubPost atlas_PISCES                     ;
+  export Script_Post_Output=atlas_ORCA_LIM.${PeriodDateEnd} ;
+  IGCM_sys_QsubPost atlas_ORCA_LIM                          ;
+  export Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
+  IGCM_sys_QsubPost atlas_PISCES                            ;
+  #
+elif [ ${config_UserChoices_TagName} = "ORCA2_OFF_PISCES" ] ; then
+  #
+  export Script_Post_Output=atlas_PISCES.${PeriodDateEnd}   ;
+  IGCM_sys_QsubPost atlas_PISCES                            ;
   #
 fi
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1111)
+++ /trunk/libIGCM/AA_create_ts	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $POST_DIR ; $Script_Post_Output ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateEnd ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
@@ -777,8 +777,8 @@
 done
 
-export POST_DIR; export SUBMIT_DIR; export libIGCM; export R_INIT; export R_BC; export StandAlone
-export RESOL_ATM; export RESOL_OCE ; export RESOL_ICE ; export RESOL_MBG ; export RESOL_SRF ; export RESOL_SBG
-
-listVarEnv="POST_DIR,SUBMIT_DIR,libIGCM,R_INIT,R_BC,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+export DEBUG_debug; export BigBrother ; export libIGCM; export SUBMIT_DIR; export POST_DIR; export Script_Output ;
+export StandAlone ; export RESOL_ATM; export RESOL_OCE ; export RESOL_ICE ; export RESOL_MBG ; export RESOL_SRF ;
+export RESOL_SBG
+listVarEnv="DEBUG_debug,BigBrother,libIGCM,SUBMIT_DIR,POST_DIR,Script_Post_Output,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
 export listVarEnv
 
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1111)
+++ /trunk/libIGCM/AA_monitoring	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $POST_DIR ; $SUBMIT_DIR ; $libIGCM ; $libIGCM_SX ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $R_SAVE ; $config_UserChoices_JobName ; $config_UserChoices_TagName ; $YEARS ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1111)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1111)
+++ /trunk/libIGCM/AA_pack_output	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1111)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1112)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1111)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1112)
@@ -30,5 +30,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $Script_Post_Output ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
@@ -163,7 +163,28 @@
 # ------------------------------------------------------------------
 IGCM_debug_Verif_Exit_Post
+
+if [ ${StandAlone} = true ] ; then
+  CARD_DIR=${SUBMIT_DIR}
+else
+  CARD_DIR=${RUN_DIR}
+  IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+  IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+  IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+  IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
+fi
+
+#==================================
+# First of all
 #
+# Read libIGCM compatibility version in config.card
+# Read UserChoices section
+# Read Ensemble section
+# Read Post section
+# Define all netcdf output directories
+#==================================
+IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
+
+# Directory list to work with
 ListAllRebuildDir=$( IGCM_sys_RshMaster ls -d ${REBUILD_DIR}/REBUILD_* | grep -B $(( ${NbRebuildDir} -1 )) ${LastPeriodForRebuild} )
-#
 
 for directory in ${ListAllRebuildDir} ; do
